{
  "targets": [
    {
      "target_name": "tree_sitter_php_binding",
      "include_dirs": [
        "<!(node -e \"require('nan')\")",
        "src"
      ],
      "sources": [
        "src/parser.c",
        "src/scanner.c",
        "bindings/node/binding.cc"
      ],
      "cflags_c": [
        "-std=c99"
      ]
    }
  ],
  "variables": {
      "runtime%": "node",
      "openssl_fips": "",
      "v8_enable_pointer_compression%": 0,
      "v8_enable_31bit_smis_on_64bit_arch%": 0,
      "using_electron_config_gypi": 1,
  },
  "conditions": [
      ['runtime=="electron"', { 
          'defines': ['NODE_RUNTIME_ELECTRON=1'] 
      }],
  ]
}
